<?php

use Phinx\Db\Adapter\MysqlAdapter;

class CreateCobro extends Phinx\Migration\AbstractMigration
{
	public function change(): void
	{
		$this->execute('SET unique_checks=0; SET foreign_key_checks=0;');
		$this->execute("ALTER DATABASE CHARACTER SET 'utf8mb4';");
		$this->execute("ALTER DATABASE COLLATE='utf8mb4_general_ci';");

		$this->table('cobro')
			->addColumn('proyecto', 'integer', ['length' => 11, 'default' => null, 'null' => true])
			->addColumn('agente', 'integer', ['length' => 11, 'default' => null, 'null' => true])
			->addColumn('tipo', 'integer', ['length' => 11, 'default' => null, 'null' => true])
			->addColumn('fecha', 'date', ['default' => null, 'null' => true])
			->addColumn('valor', 'float', ['default' => null, 'null' => true])
			->addColumn('iva', 'float', ['default' => 0])
			->addColumn('uf', 'float', ['default' => null, 'null' => true])
			->addColumn('identificador', 'string', ['length' => 50, 'default' => null, 'null' => true])
			->addColumn('glosa', 'mediumtext', ['default' => null, 'null' => true])
			->create();
		$this->execute('SET unique_checks=1; SET foreign_key_checks=1;');
	}
}
